Page MenuHomePhabricator

CX2: Confirmation dialog when publishing with pending issues
Closed, ResolvedPublic

Description

Some issues do not prevent a translation from publishing. However, we want to encourage users to create quality content which is less likely to be reverted. As part of the system to communicate errors and warnings in Content Translation (T189488), we want to make sure that the issues presented have been considered before publishing the page.

In order to support this we can show a confirmation dialog after the user clicks "Publish".
We'll show the dialog when there are issues in the translation that are detected (many may have been communicated early, others may be detected and displayed as part of the publish process). Issues that the user marked as resolved, won't be counted.

The message will inform the user about the existence of issues, encourage to review and surface the impact those issues may have to the community (the need to make the community more visible was identified in New-Editor-Experiences ). Users can go back to editing, or publish the translation anyways.

Design details

If there are pending issues that have not been addressed when the user clicks "publish", a confirmation dialog will be shown with the following info:

Publish with existing issues?
Your translation still has potential issues. Please, consider checking the issues before publishing.
Editors reviewing your contribution will appreciate the improvements.
[Cancel] [Publish anyway]

  • "Cancel" button will go back to editing, with the issues card showing the first error expanded.
  • "Publish anyway" will proceed with the publishing process.

Integration with the "Overwrite" dialog

For cases where the translated page to be published already exists, currently a dialog is shown to warn users about the content overwrite (T190038). In such cases, instead of showing tow separate dialogs (publish with warnings, and content overwrite), a single dialog will be shown presenting both pieces of information. A version of the overwrite dialog with a customized message will be shown.

Overwrite existing page?
Your translation will overwrite the existing page with content that still has potential issues. Please consider checking the issues before publishing.
[Cancel] [Publish anyway]

Event Timeline

Pginer-WMF triaged this task as Normal priority.Mar 19 2018, 12:04 PM
Pginer-WMF created this task.
Pginer-WMF updated the task description. (Show Details)Mar 21 2018, 12:39 PM

Can the wording for the first dialog be adjusted with shorter title in mind? Similar to what was done in T190038#4126979

Pginer-WMF updated the task description. (Show Details)Aug 29 2018, 9:27 AM

Can the wording for the first dialog be adjusted with shorter title in mind? Similar to what was done in T190038#4126979

Makes sense. I'd propose the following:

Publish with existing issues?
Your translation still has potential issues. Please, consider checking the issues before publishing.
Editors reviewing your contribution will appreciate the improvements.
[Cancel] [Publish anyway]

Pginer-WMF updated the task description. (Show Details)Aug 29 2018, 9:34 AM
Pginer-WMF raised the priority of this task from Normal to High.Nov 26 2018, 10:52 AM

Change 476194 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Display "publish anyway" dialog if there are translation issues

https://gerrit.wikimedia.org/r/476194

Change 476194 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Display "publish anyway" dialog if there are translation issues

https://gerrit.wikimedia.org/r/476194

Etonkovidova closed this task as Resolved.EditedJan 4 2019, 3:27 AM
Etonkovidova added a subscriber: Etonkovidova.

@Pginer-WMF - There is still some discrepancy in communicating publishing workflow logic. Please let me know if the following need specific tickets or more details or everything is acceptable as it is.

(1) Generally, the confirmation boxes work according to the specs. There were no specific UI requirements (the font or the size), so take a look the the screenshots from cx2-testing.

(2) There are cases when 'Publish' button is active even though the action of Publishing cannot be finalized:

  • in the second screenshot above - the error is in the title. Yet, 'Publish' button was active and the confirmation box was present. The publishing was not possible, of course.
  • a user is not informed about the acceptable threshold for the amount of MT text present. If there is 100% MT, 'Mark as resolved' on the issue card and 'Publish anyway' won't publish a translation. In this case, the presence of confirmation box is misleading.

I'm tentatively marking this task as 'Resolved' since the objective of this task was to implement the confirmation boxes.